import request from "@/utils/request"

//角色列表
export function getRoleList(params) {
    return request({
        url: "/qdport-system/sys/role/list",
        method: "GET",
        params
    })
}

// 获取菜单树
export function getMenuTree() {
    return request({
        url: "/qdport-system/sys/menu/basicList",
        method: "get",
    })
}

// 获取角色的菜单数
export function getRoleMenuTree(id) {
    return request({
        url: `/qdport-system/sys/role/${id}/menu/list`,
        method: "get",
    })
}

// 接口权限树
export function getPortTree() {
    return request({
        url: `/qdport-system/sys/menu/assignDataMenu`,
        method: "get",
    })
}

// 角色接口权限树
export function getRolePortTree(id) {
    return request({
        url: `/qdport-system/sys/role/${id}/menu/data/list`,
        method: "get",
    })
}

// 更新角色菜单树
export function setRoleMenuTree(id, data) {
    return request({
        url: `/qdport-system/sys/role/${id}/menu/update`,
        method: "post",
        params: data
    })
}

// 更新角色接口树
export function setRolePortTree(data) {
    return request({
        url: `/qdport-system/sys/role/assignAuth`,
        method: "post",
        params: data
    })
}

// 更新角色
export function setRole(data) {
    return request({
        url: `/qdport-system/sys/role/update`,
        method: "post",
        params: data
    })
}

// 新增角色
export function addRole(data) {
    return request({
        url: `/qdport-system/sys/role/add`,
        method: "post",
        params: data
    })
}

// 删除角色
export function deleteRole(id) {
    return request({
        url: `/qdport-system/sys/role/delete`,
        method: "post",
        params: {
            id
        }
    })
}
